Hermos API

Assign Member Role

PATCH/companies/{companyId}/members/{memberId}

Authorization

cookieAuth
__Host-hms_session<token>

In: cookie

Path Parameters

companyId*string
Formatuuid
memberId*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PATCH "https://example.com/companies/497f6eca-6276-4993-bfeb-53cbbbba6f08/members/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "roles": [      {        "builtinRole": "owner"      }    ]  }'
{  "property1": null,  "property2": null}